# \file ext/XMLParser.cmake
# \date 05/21/2003
# \author Anilkumar Patro

# upper = Upper case version of option
# lower = Lower case version of option
#-----------------------------------------------------------------------------
MACRO(XMDV_XMLPARSER_OPTION upper lower default)
  OPTION(XMDV_USE_XMLPARSER_${upper} "Use the system's ${lower} library." ${default})
  MARK_AS_ADVANCED(CLEAR FORCE XMDV_USE_XMLPARSER_${upper})
  IF(XMDV_USE_XMLPARSER_${upper})
    IF(EXISTS ${CMAKE_ROOT}/Modules/Find${upper}.cmake)
      INCLUDE(${CMAKE_ROOT}/Modules/Find${upper}.cmake)
    ELSE(EXISTS ${CMAKE_ROOT}/Modules/Find${upper}.cmake)
      INCLUDE(${XMDV_EXTERNAL_LIBS_SOURCE_DIR}/Find${upper}.cmake)
    ENDIF(EXISTS ${CMAKE_ROOT}/Modules/Find${upper}.cmake)
    MARK_AS_ADVANCED(CLEAR FORCE ${upper}_INCLUDE_DIR ${upper}_LIBRARY)
    IF(NOT ${upper}_FOUND)
      MESSAGE(SEND_ERROR "XMDV_USE_XMLPARSER_${upper} is ON, but ${upper}_LIBRARY is NOTFOUND.")
    ENDIF(NOT ${upper}_FOUND)
  ELSE(XMDV_USE_XMLPARSER_${upper})
    MARK_AS_ADVANCED(FORCE ${upper}_INCLUDE_DIR ${upper}_LIBRARY)
  ENDIF(XMDV_USE_XMLPARSER_${upper})
ENDMACRO(XMDV_XMLPARSER_OPTION)

MACRO(XMDV_XMLPARSER_OPTION_OFF upper)
    MARK_AS_ADVANCED(FORCE XMDV_USE_XMLPARSER_${upper})
    MARK_AS_ADVANCED(FORCE ${upper}_INCLUDE_DIR ${upper}_LIBRARY)
ENDMACRO(XMDV_XMLPARSER_OPTION_OFF)

# Log:
# $Log: XMLParser.cmake,v $
# Revision 1.1  2003/09/01 23:11:49  anil
# Initial import of project tree.
#
